Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

USN-5943-1: Thunderbird vulnerabilities

13 March 2023

Several security issues were fixed in Thunderbird.

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Releases

Packages

  • thunderbird - Mozilla Open Source mail and newsgroup client

Details

Multiple security issues were discovered in Thunderbird. If a user were
tricked into opening a specially crafted website in a browsing context, an
attacker could potentially exploit these to cause a denial of service,
obtain sensitive information, bypass security restrictions, cross-site
tracing, or execute arbitrary code. (CVE-2023-0616, CVE-2023-25735,
CVE-2023-25737, CVE-2023-25739, CVE-2023-25729, CVE-2023-25742,
CVE-2023-25746)

Johan Carlsson discovered that Thunderbird did not properly implement CSP
policy on a header when using iframes. An attacker could potentially
exploits this to exfiltrate data. (CVE-2023-25728)

Irvan Kurniawan discovered that Thunderbird was not properly handling
background fullscreen scripts when the window goes into fullscreen mode.
An attacker could possibly use this issue to spoof the user and obtain
sensitive information. (CVE-2023-25730)

Christian Holler discovered that Thunderbird did not properly check the
Safe Bag attributes in PKCS 12 certificate bundle. An attacker could
possibly use this issue to write to arbitrary memory by sending malicious
PKCS 12 certificate. (CVE-2023-0767)

Ronald Crane discovered that Thunderbird did not properly check the size of
the input being encoded in xpcom. An attacker could possibly use this issue
to perform out of bound memory write operations. (CVE-2023-25732)

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 22.10
Ubuntu 22.04
Ubuntu 20.04
Ubuntu 18.04

In general, a standard system update will make all the necessary changes.

Related notices

  • USN-5880-1: firefox-locale-hy, firefox-locale-kk, firefox-locale-ca, firefox-locale-hsb, firefox-locale-es, firefox-locale-ko, firefox-locale-gd, firefox-locale-fa, firefox-locale-fr, firefox-mozsymbols, firefox-locale-ne, firefox-locale-mn, firefox-locale-lt, firefox-locale-vi, firefox-locale-ia, firefox-locale-ga, firefox-locale-pl, firefox-locale-sl, firefox-locale-id, firefox-locale-cy, firefox-locale-he, firefox-locale-ta, firefox-locale-hu, firefox-locale-or, firefox-locale-da, firefox-locale-ast, firefox-locale-cak, firefox-locale-en, firefox-locale-ur, firefox-locale-th, firefox-locale-ml, firefox-locale-zu, firefox-locale-fy, firefox-locale-km, firefox-locale-csb, firefox-locale-te, firefox-locale-az, firefox-locale-fi, firefox-locale-et, firefox-locale-ja, firefox-locale-bg, firefox-locale-pt, firefox-locale-ro, firefox-locale-hi, firefox-locale-mk, firefox-locale-nso, firefox-locale-ka, firefox-locale-cs, firefox-locale-gu, firefox-locale-pa, firefox-locale-be, firefox-locale-nb, firefox-locale-sw, firefox-locale-nn, firefox-locale-gl, firefox-locale-szl, firefox-locale-sq, firefox-locale-ku, firefox-locale-sk, firefox-locale-hr, firefox-locale-zh-hans, firefox-locale-zh-hant, firefox-locale-kab, firefox-geckodriver, firefox-locale-sr, firefox-locale-de, firefox-locale-lv, firefox-locale-ru, firefox-locale-is, firefox-locale-eo, firefox-locale-mai, firefox-locale-el, firefox-locale-it, firefox-locale-ms, firefox-locale-nl, firefox-locale-mr, firefox, firefox-locale-lg, firefox-locale-eu, firefox-locale-si, firefox-locale-uk, firefox-locale-tr, firefox-locale-oc, firefox-locale-my, firefox-dev, firefox-locale-bn, firefox-locale-gn, firefox-locale-bs, firefox-locale-br, firefox-locale-ar, firefox-locale-kn, firefox-locale-xh, firefox-locale-uz, firefox-locale-an, firefox-locale-sv, firefox-locale-af, firefox-locale-as
  • USN-5892-1: libnss3-dev, libnss3, libnss3-tools, nss
  • USN-5892-2: libnss3-tools, libnss3-dev, nss, libnss3-nssdb, libnss3-1d, libnss3
  • USN-6120-1: libmozjs-102-dev, libmozjs-102-0, mozjs102